FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"
SRC_URI += "file://mpxls1046_config.xml \
	    file://mpxls1046_crx06_config.xml \
	    file://mpxls1043_config.xml \
		file://policy_ipv4.xml\
		file://policy_ipv6.xml \
"
S = "${WORKDIR}/git"
do_install:append:qoriq () {

if [ ${MACHINE} = "mpxls1046ram2gbcrx05" ]; then
    install -d ${D}${sysconfdir}/fmc/config/private/${MACHINE}
    install -m 644 ${WORKDIR}/mpxls1046_config.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv4.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv6.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
fi
if [ ${MACHINE} = "mpxls1046ram4gbcrx05" ]; then
    install -d ${D}${sysconfdir}/fmc/config/private/${MACHINE}
    install -m 644 ${WORKDIR}/mpxls1046_config.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv4.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv6.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
fi
if [ ${MACHINE} = "mpxls1046ram4gb2nandcrx05" ]; then
    install -d ${D}${sysconfdir}/fmc/config/private/${MACHINE}
    install -m 644 ${WORKDIR}/mpxls1046_config.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv4.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv6.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
fi
if [ ${MACHINE} = "mpxls1046ram8gbcrx05" ]; then
    install -d ${D}${sysconfdir}/fmc/config/private/${MACHINE}
    install -m 644 ${WORKDIR}/mpxls1046_config.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv4.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv6.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
fi
if [ ${MACHINE} = "mpxls1046crx06" ]; then
    install -d ${D}${sysconfdir}/fmc/config/private/${MACHINE}
    install -m 644 ${WORKDIR}/mpxls1046_crx06_config.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv4.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv6.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
fi

# We are doing the same for every mpxls1043 machine
if [ "${MACHINE}" = "mpxls1043ac1000msatacrx05" ] \
|| [ "${MACHINE}" = "mpxls1043ac1000pciecrx05" ] \
|| [ "${MACHINE}" = "mpxls1043ac1600msatacrx05" ] \
|| [ "${MACHINE}" = "mpxls1043ac1600pciecrx05" ] \
|| [ "${MACHINE}" = "mpxls1043ac1600pcie2nandcrx05" ]  \
|| [ "${MACHINE}" = "mpxls1043ac1600pcie2gbnandcrx05" ]; then
    install -d ${D}${sysconfdir}/fmc/config/private/${MACHINE}
    install -m 644 ${WORKDIR}/mpxls1043_config.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv4.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
	install -m 644 ${WORKDIR}/policy_ipv6.xml ${D}${sysconfdir}/fmc/config/private/${MACHINE}/
fi

}
